View Issue Details

IDProjectCategoryView StatusLast Update
0000523CaseTalk ModelerGeneration (SQL, XML, etc)public2014-10-31 12:14
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.0.3 
Target Version8.1Fixed in Version8.1 
Summary0000523: Generate separate scripts for database create and drop
DescriptionCreate and Tear-down scripts are great for database maintenance purposes. CaseTalk however only generates create.sql files.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2014-09-26 11:24

administrator   ~0000294

Multi script is now supported by all code. Not all plugins support multiple script generation yet. These can be added later.

A DDL should no longer reside in a single script file. Yet be seperated according modules and database layers.

create - drop
load - unload
link - unlink
protect - unprotect

etc.
BCP Software

BCP Software

2014-10-22 13:45

administrator   ~0000301

Script file names should contain the following elements:
<iggname>_<glr>_<dbms>_<layer>.<extension>
BCP Software

BCP Software

2014-10-31 12:14

administrator   ~0000303

Scripts will be named: <igname>_<exporttype>_<scriptlevel>.<extension>

Issue History

Date Modified Username Field Change
2014-09-24 15:14 BCP Software New Issue
2014-09-24 15:14 BCP Software Status new => assigned
2014-09-24 15:14 BCP Software Assigned To => BCP Software
2014-09-25 14:19 BCP Software Status assigned => acknowledged
2014-09-26 11:24 BCP Software Note Added: 0000294
2014-10-22 13:45 BCP Software Note Added: 0000301
2014-10-22 15:43 BCP Software Summary Generate seperate scripts for database create and drop => Generate separate scripts for database create and drop
2014-10-31 12:14 BCP Software Note Added: 0000303
2014-10-31 12:14 BCP Software Status acknowledged => resolved
2014-10-31 12:14 BCP Software Fixed in Version => 8.1
2014-10-31 12:14 BCP Software Resolution open => fixed
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)